Main Page Modules Data Structures File List Data Fields Globals Related Pages

# python/rpmfi-py.h File Reference

More...

`#include "rpmfi.h"`

Go to the source code of this file.

## Data Structures
struct | rpmfiObject_s
## Typedefs
typedef rpmfiObject_s | rpmfiObject
## Functions
rpmfi | fiFromFi (rpmfiObject *fi)
rpmfiObject * | rpmfi_Wrap (rpmfi fi)
rpmfiObject * | hdr_fiFromHeader (PyObject *s, PyObject *args)
## Variables
PyTypeObject | rpmfi_Type

## Detailed Description

Definition in file rpmfi-py.h.

## Typedef Documentation

typedef struct rpmfiObject_s rpmfiObject

## Function Documentation

rpmfi fiFromFi | ( | rpmfiObject * | fi | ) |

| Definition at line 485 of file rpmfi-py.c.

rpmfiObject* hdr_fiFromHeader | ( | PyObject * | s,
|  | PyObject * | args
| ) |

| Definition at line 503 of file rpmfi-py.c.

rpmfiObject* rpmfi_Wrap | ( | rpmfi | fi | ) |

| Definition at line 491 of file rpmfi-py.c. Referenced by hdr_fiFromHeader, and rpmte_FI.

## Variable Documentation

PyTypeObject rpmfi_Type

| Definition at line 18 of file rpmfi-py.h.